Subject: Re: Sociology and the bug tracking system

From: [email-masked] (Bruce Perens)
Date: Fri, 19 Jul 96 23:42 PDT

> I have had some real problems with the way we do development
> design in this group. We talk about the issue from all sides. Sometimes
> taking months to reach a conclusion. Bruce, Ian and a few others then
> confab over the issues, come to a conclusion, and deliver a terse
> statement about the "new" conditions. I have no problem with the way the
> discussions run (for the most part, barring fist fights). The synergy
> created by the differing views, almost always creates something larger
> than any of us could produce on our own. The problem I have, is with how
> the decission gets reported. A terse, sometimes confusing, decission
> report, via e-mail on the lists, is often either missed or forgotten in
> the rush to get the next version of the package out. 

I really only make decisions using my "fiat power" when we have
failed to come to a consensus and it is clear that a decision
is needed to clear a logjam. I would be more comfortable if 99% of the
decisions were arrived at by a conclave of the people who are working on
the problem. Sometimes people are looking to me when my decision really
isn't necessary.

I agree that communications could be better. Part of it is growing pains.
I'm not sure what to do about that yet.

	Thanks

	Bruce
--
The "Toy Story Animated Storybook" CD was the best selling software product
during the month of May, outselling the Windows '95 upgrade, Quicken, etc.
Bruce Perens AB6YM          [email-masked]            http://www.hams.com/